<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'ProcessResult' => '\\StructType\\ProcessResult',
            'GetScenario' => '\\StructType\\GetScenario',
            'GetScenarioResponse' => '\\StructType\\GetScenarioResponse',
            'ArrayOfCommand' => '\\ArrayType\\ArrayOfCommand',
            'Command' => '\\StructType\\Command',
            'ElementDescriptor' => '\\StructType\\ElementDescriptor',
            'ArrayOfString' => '\\ArrayType\\ArrayOfString',
            'EveryValue' => '\\StructType\\EveryValue',
            'Key' => '\\StructType\\Key',
            'Action' => '\\StructType\\Action',
            'Field' => '\\StructType\\Field',
            'Value' => '\\StructType\\Value',
            'Answer' => '\\StructType\\Answer',
            'RowNumber' => '\\StructType\\RowNumber',
            'NewRow' => '\\StructType\\NewRow',
            'DeleteRow' => '\\StructType\\DeleteRow',
            'Parameter' => '\\StructType\\Parameter',
            'Attachment' => '\\StructType\\Attachment',
            'ArrayOfFilter' => '\\ArrayType\\ArrayOfFilter',
            'Filter' => '\\StructType\\Filter',
            'ArrayOfArrayOfString' => '\\ArrayType\\ArrayOfArrayOfString',
            'Login' => '\\StructType\\Login',
            'LoginResult' => '\\StructType\\LoginResult',
            'LoginResponse' => '\\StructType\\LoginResponse',
            'Logout' => '\\StructType\\Logout',
            'LogoutResponse' => '\\StructType\\LogoutResponse',
            'SetBusinessDate' => '\\StructType\\SetBusinessDate',
            'SetBusinessDateResponse' => '\\StructType\\SetBusinessDateResponse',
            'SetLocaleName' => '\\StructType\\SetLocaleName',
            'SetLocaleNameResponse' => '\\StructType\\SetLocaleNameResponse',
            'SetSchemaMode' => '\\StructType\\SetSchemaMode',
            'SetSchemaModeResponse' => '\\StructType\\SetSchemaModeResponse',
            'SO641010Content' => '\\StructType\\SO641010Content',
            'SO641010Actions' => '\\StructType\\SO641010Actions',
            'SO641010Parameters' => '\\StructType\\SO641010Parameters',
            'SO641010ParametersServiceCommands' => '\\StructType\\SO641010ParametersServiceCommands',
            'SO641010CommonSettings' => '\\StructType\\SO641010CommonSettings',
            'SO641010CommonSettingsServiceCommands' => '\\StructType\\SO641010CommonSettingsServiceCommands',
            'SO641010MailSettings' => '\\StructType\\SO641010MailSettings',
            'SO641010MailSettingsServiceCommands' => '\\StructType\\SO641010MailSettingsServiceCommands',
            'SO641010Sorting' => '\\StructType\\SO641010Sorting',
            'SO641010SortingServiceCommands' => '\\StructType\\SO641010SortingServiceCommands',
            'SO641010Filters' => '\\StructType\\SO641010Filters',
            'SO641010FiltersServiceCommands' => '\\StructType\\SO641010FiltersServiceCommands',
            'SO641010ReportResults' => '\\StructType\\SO641010ReportResults',
            'SO641010ReportResultsServiceCommands' => '\\StructType\\SO641010ReportResultsServiceCommands',
            'SO641010Template' => '\\StructType\\SO641010Template',
            'SO641010TemplateServiceCommands' => '\\StructType\\SO641010TemplateServiceCommands',
            'SO641010Clear' => '\\StructType\\SO641010Clear',
            'SO641010ClearResponse' => '\\StructType\\SO641010ClearResponse',
            'SO641010GetProcessStatus' => '\\StructType\\SO641010GetProcessStatus',
            'SO641010GetProcessStatusResponse' => '\\StructType\\SO641010GetProcessStatusResponse',
            'SO641010GetSchema' => '\\StructType\\SO641010GetSchema',
            'SO641010GetSchemaResponse' => '\\StructType\\SO641010GetSchemaResponse',
            'SO641010SetSchema' => '\\StructType\\SO641010SetSchema',
            'SO641010SetSchemaResponse' => '\\StructType\\SO641010SetSchemaResponse',
            'SO641010Export' => '\\StructType\\SO641010Export',
            'SO641010ExportResponse' => '\\StructType\\SO641010ExportResponse',
            'SO641010Import' => '\\StructType\\SO641010Import',
            'SO641010ImportResponse' => '\\StructType\\SO641010ImportResponse',
            'SO641010ImportResult' => '\\StructType\\SO641010ImportResult',
            'SO641010ArrayOfImportResult' => '\\ArrayType\\SO641010ArrayOfImportResult',
            'SO641010Submit' => '\\StructType\\SO641010Submit',
            'SO641010ArrayOfContent' => '\\ArrayType\\SO641010ArrayOfContent',
            'SO641010SubmitResponse' => '\\StructType\\SO641010SubmitResponse',
        );
    }
}
