<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SO641010Content StructType
 * @subpackage Structs
 */
class SO641010Content extends AbstractStructBase
{
    /**
     * The Actions
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\SO641010Actions
     */
    public $Actions;
    /**
     * The Parameters
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\SO641010Parameters
     */
    public $Parameters;
    /**
     * The CommonSettings
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\SO641010CommonSettings
     */
    public $CommonSettings;
    /**
     * The MailSettings
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\SO641010MailSettings
     */
    public $MailSettings;
    /**
     * The Sorting
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\SO641010Sorting
     */
    public $Sorting;
    /**
     * The Filters
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\SO641010Filters
     */
    public $Filters;
    /**
     * The ReportResults
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\SO641010ReportResults
     */
    public $ReportResults;
    /**
     * The Template
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\SO641010Template
     */
    public $Template;
    /**
     * Constructor method for SO641010Content
     * @uses SO641010Content::setActions()
     * @uses SO641010Content::setParameters()
     * @uses SO641010Content::setCommonSettings()
     * @uses SO641010Content::setMailSettings()
     * @uses SO641010Content::setSorting()
     * @uses SO641010Content::setFilters()
     * @uses SO641010Content::setReportResults()
     * @uses SO641010Content::setTemplate()
     * @param \StructType\SO641010Actions $actions
     * @param \StructType\SO641010Parameters $parameters
     * @param \StructType\SO641010CommonSettings $commonSettings
     * @param \StructType\SO641010MailSettings $mailSettings
     * @param \StructType\SO641010Sorting $sorting
     * @param \StructType\SO641010Filters $filters
     * @param \StructType\SO641010ReportResults $reportResults
     * @param \StructType\SO641010Template $template
     */
    public function __construct(\StructType\SO641010Actions $actions = null, \StructType\SO641010Parameters $parameters = null, \StructType\SO641010CommonSettings $commonSettings = null, \StructType\SO641010MailSettings $mailSettings = null, \StructType\SO641010Sorting $sorting = null, \StructType\SO641010Filters $filters = null, \StructType\SO641010ReportResults $reportResults = null, \StructType\SO641010Template $template = null)
    {
        $this
            ->setActions($actions)
            ->setParameters($parameters)
            ->setCommonSettings($commonSettings)
            ->setMailSettings($mailSettings)
            ->setSorting($sorting)
            ->setFilters($filters)
            ->setReportResults($reportResults)
            ->setTemplate($template);
    }
    /**
     * Get Actions value
     * @return \StructType\SO641010Actions|null
     */
    public function getActions()
    {
        return $this->Actions;
    }
    /**
     * Set Actions value
     * @param \StructType\SO641010Actions $actions
     * @return \StructType\SO641010Content
     */
    public function setActions(\StructType\SO641010Actions $actions = null)
    {
        $this->Actions = $actions;
        return $this;
    }
    /**
     * Get Parameters value
     * @return \StructType\SO641010Parameters|null
     */
    public function getParameters()
    {
        return $this->Parameters;
    }
    /**
     * Set Parameters value
     * @param \StructType\SO641010Parameters $parameters
     * @return \StructType\SO641010Content
     */
    public function setParameters(\StructType\SO641010Parameters $parameters = null)
    {
        $this->Parameters = $parameters;
        return $this;
    }
    /**
     * Get CommonSettings value
     * @return \StructType\SO641010CommonSettings|null
     */
    public function getCommonSettings()
    {
        return $this->CommonSettings;
    }
    /**
     * Set CommonSettings value
     * @param \StructType\SO641010CommonSettings $commonSettings
     * @return \StructType\SO641010Content
     */
    public function setCommonSettings(\StructType\SO641010CommonSettings $commonSettings = null)
    {
        $this->CommonSettings = $commonSettings;
        return $this;
    }
    /**
     * Get MailSettings value
     * @return \StructType\SO641010MailSettings|null
     */
    public function getMailSettings()
    {
        return $this->MailSettings;
    }
    /**
     * Set MailSettings value
     * @param \StructType\SO641010MailSettings $mailSettings
     * @return \StructType\SO641010Content
     */
    public function setMailSettings(\StructType\SO641010MailSettings $mailSettings = null)
    {
        $this->MailSettings = $mailSettings;
        return $this;
    }
    /**
     * Get Sorting value
     * @return \StructType\SO641010Sorting|null
     */
    public function getSorting()
    {
        return $this->Sorting;
    }
    /**
     * Set Sorting value
     * @param \StructType\SO641010Sorting $sorting
     * @return \StructType\SO641010Content
     */
    public function setSorting(\StructType\SO641010Sorting $sorting = null)
    {
        $this->Sorting = $sorting;
        return $this;
    }
    /**
     * Get Filters value
     * @return \StructType\SO641010Filters|null
     */
    public function getFilters()
    {
        return $this->Filters;
    }
    /**
     * Set Filters value
     * @param \StructType\SO641010Filters $filters
     * @return \StructType\SO641010Content
     */
    public function setFilters(\StructType\SO641010Filters $filters = null)
    {
        $this->Filters = $filters;
        return $this;
    }
    /**
     * Get ReportResults value
     * @return \StructType\SO641010ReportResults|null
     */
    public function getReportResults()
    {
        return $this->ReportResults;
    }
    /**
     * Set ReportResults value
     * @param \StructType\SO641010ReportResults $reportResults
     * @return \StructType\SO641010Content
     */
    public function setReportResults(\StructType\SO641010ReportResults $reportResults = null)
    {
        $this->ReportResults = $reportResults;
        return $this;
    }
    /**
     * Get Template value
     * @return \StructType\SO641010Template|null
     */
    public function getTemplate()
    {
        return $this->Template;
    }
    /**
     * Set Template value
     * @param \StructType\SO641010Template $template
     * @return \StructType\SO641010Content
     */
    public function setTemplate(\StructType\SO641010Template $template = null)
    {
        $this->Template = $template;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SO641010Content
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
