<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SO641010ReportResults StructType
 * @subpackage Structs
 */
class SO641010ReportResults extends AbstractStructBase
{
    /**
     * The DisplayName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $DisplayName;
    /**
     * The PdfContent
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Field
     */
    public $PdfContent;
    /**
     * The HtmlContent
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Field
     */
    public $HtmlContent;
    /**
     * The PreProcess
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Field
     */
    public $PreProcess;
    /**
     * The ServiceCommands
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\SO641010ReportResultsServiceCommands
     */
    public $ServiceCommands;
    /**
     * Constructor method for SO641010ReportResults
     * @uses SO641010ReportResults::setDisplayName()
     * @uses SO641010ReportResults::setPdfContent()
     * @uses SO641010ReportResults::setHtmlContent()
     * @uses SO641010ReportResults::setPreProcess()
     * @uses SO641010ReportResults::setServiceCommands()
     * @param string $displayName
     * @param \StructType\Field $pdfContent
     * @param \StructType\Field $htmlContent
     * @param \StructType\Field $preProcess
     * @param \StructType\SO641010ReportResultsServiceCommands $serviceCommands
     */
    public function __construct($displayName = null, \StructType\Field $pdfContent = null, \StructType\Field $htmlContent = null, \StructType\Field $preProcess = null, \StructType\SO641010ReportResultsServiceCommands $serviceCommands = null)
    {
        $this
            ->setDisplayName($displayName)
            ->setPdfContent($pdfContent)
            ->setHtmlContent($htmlContent)
            ->setPreProcess($preProcess)
            ->setServiceCommands($serviceCommands);
    }
    /**
     * Get DisplayName value
     * @return string|null
     */
    public function getDisplayName()
    {
        return $this->DisplayName;
    }
    /**
     * Set DisplayName value
     * @param string $displayName
     * @return \StructType\SO641010ReportResults
     */
    public function setDisplayName($displayName = null)
    {
        // validation for constraint: string
        if (!is_null($displayName) && !is_string($displayName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($displayName, true), gettype($displayName)), __LINE__);
        }
        $this->DisplayName = $displayName;
        return $this;
    }
    /**
     * Get PdfContent value
     * @return \StructType\Field|null
     */
    public function getPdfContent()
    {
        return $this->PdfContent;
    }
    /**
     * Set PdfContent value
     * @param \StructType\Field $pdfContent
     * @return \StructType\SO641010ReportResults
     */
    public function setPdfContent(\StructType\Field $pdfContent = null)
    {
        $this->PdfContent = $pdfContent;
        return $this;
    }
    /**
     * Get HtmlContent value
     * @return \StructType\Field|null
     */
    public function getHtmlContent()
    {
        return $this->HtmlContent;
    }
    /**
     * Set HtmlContent value
     * @param \StructType\Field $htmlContent
     * @return \StructType\SO641010ReportResults
     */
    public function setHtmlContent(\StructType\Field $htmlContent = null)
    {
        $this->HtmlContent = $htmlContent;
        return $this;
    }
    /**
     * Get PreProcess value
     * @return \StructType\Field|null
     */
    public function getPreProcess()
    {
        return $this->PreProcess;
    }
    /**
     * Set PreProcess value
     * @param \StructType\Field $preProcess
     * @return \StructType\SO641010ReportResults
     */
    public function setPreProcess(\StructType\Field $preProcess = null)
    {
        $this->PreProcess = $preProcess;
        return $this;
    }
    /**
     * Get ServiceCommands value
     * @return \StructType\SO641010ReportResultsServiceCommands|null
     */
    public function getServiceCommands()
    {
        return $this->ServiceCommands;
    }
    /**
     * Set ServiceCommands value
     * @param \StructType\SO641010ReportResultsServiceCommands $serviceCommands
     * @return \StructType\SO641010ReportResults
     */
    public function setServiceCommands(\StructType\SO641010ReportResultsServiceCommands $serviceCommands = null)
    {
        $this->ServiceCommands = $serviceCommands;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SO641010ReportResults
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
