<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SO641010Sorting StructType
 * @subpackage Structs
 */
class SO641010Sorting extends AbstractStructBase
{
    /**
     * The DisplayName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $DisplayName;
    /**
     * The DataField
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Field
     */
    public $DataField;
    /**
     * The SortOrder
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Field
     */
    public $SortOrder;
    /**
     * The ServiceCommands
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\SO641010SortingServiceCommands
     */
    public $ServiceCommands;
    /**
     * Constructor method for SO641010Sorting
     * @uses SO641010Sorting::setDisplayName()
     * @uses SO641010Sorting::setDataField()
     * @uses SO641010Sorting::setSortOrder()
     * @uses SO641010Sorting::setServiceCommands()
     * @param string $displayName
     * @param \StructType\Field $dataField
     * @param \StructType\Field $sortOrder
     * @param \StructType\SO641010SortingServiceCommands $serviceCommands
     */
    public function __construct($displayName = null, \StructType\Field $dataField = null, \StructType\Field $sortOrder = null, \StructType\SO641010SortingServiceCommands $serviceCommands = null)
    {
        $this
            ->setDisplayName($displayName)
            ->setDataField($dataField)
            ->setSortOrder($sortOrder)
            ->setServiceCommands($serviceCommands);
    }
    /**
     * Get DisplayName value
     * @return string|null
     */
    public function getDisplayName()
    {
        return $this->DisplayName;
    }
    /**
     * Set DisplayName value
     * @param string $displayName
     * @return \StructType\SO641010Sorting
     */
    public function setDisplayName($displayName = null)
    {
        // validation for constraint: string
        if (!is_null($displayName) && !is_string($displayName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($displayName, true), gettype($displayName)), __LINE__);
        }
        $this->DisplayName = $displayName;
        return $this;
    }
    /**
     * Get DataField value
     * @return \StructType\Field|null
     */
    public function getDataField()
    {
        return $this->DataField;
    }
    /**
     * Set DataField value
     * @param \StructType\Field $dataField
     * @return \StructType\SO641010Sorting
     */
    public function setDataField(\StructType\Field $dataField = null)
    {
        $this->DataField = $dataField;
        return $this;
    }
    /**
     * Get SortOrder value
     * @return \StructType\Field|null
     */
    public function getSortOrder()
    {
        return $this->SortOrder;
    }
    /**
     * Set SortOrder value
     * @param \StructType\Field $sortOrder
     * @return \StructType\SO641010Sorting
     */
    public function setSortOrder(\StructType\Field $sortOrder = null)
    {
        $this->SortOrder = $sortOrder;
        return $this;
    }
    /**
     * Get ServiceCommands value
     * @return \StructType\SO641010SortingServiceCommands|null
     */
    public function getServiceCommands()
    {
        return $this->ServiceCommands;
    }
    /**
     * Set ServiceCommands value
     * @param \StructType\SO641010SortingServiceCommands $serviceCommands
     * @return \StructType\SO641010Sorting
     */
    public function setServiceCommands(\StructType\SO641010SortingServiceCommands $serviceCommands = null)
    {
        $this->ServiceCommands = $serviceCommands;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SO641010Sorting
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
